Subject: [bitcoin-dev] BIP148 temporary service bit (1 << 27)

From: Luke Dashjr <[email-masked]>
Date: Mon, 19 Jun 2017 19:26:22 +0000

To ease the transition to BIP148 and to minimise risks in the event miners 
choose to perform a chain split attack, at least Bitcoin Knots will be using 
the temporary service bit (1 << 27) to indicate BIP148 support.

Once the transition is complete, this will no longer be necessary, and the bit 
will be (manually) returned for reuse.

I encourage other software implementing BIP148 (both full and light nodes) to 
set and use this service bit to avoid network partitioning risks.

Luke